{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    idea-community-eap
    # clion-eap
    texlive.combined.scheme-full biber
    gimp
    inkscape
    jabref
    libreoffice-fresh
    calibre

    qutebrowser

    open-wbo # only in 17.09+

    vscode
    clang

    stack

    lean
    coq

    rustup
    # cargo rustc
  ] ++ (with aspellDicts; [ en de fr nl ]);

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    myemacs = emacs25.override {
      withGTK2 = false;
      withGTK3 = true;
      withXwidgets = true;
    };
  };

  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };
  users.extraUsers.gebner.extraGroups = [ "wireshark" ];

}
